Bug 537556 - SELinux is preventing /usr/bin/python "write" access on smi_request.
Summary: SELinux is preventing /usr/bin/python "write" access on smi_request.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 12
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:cff563319d4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-14 11:52 UTC by ritz
Modified: 2015-02-01 22:49 UTC (History)
12 users (show)

Fixed In Version: 1.0.0-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 04:38:37 UTC


Attachments (Terms of Use)

Description ritz 2009-11-14 11:52:21 UTC
Summary:

SELinux is preventing /usr/bin/python "write" access on smi_request.

Detailed Description:

[getSystemId has a permissive type (abrt_t). This access was not denied.]

SELinux denied access requested by getSystemId. It is not expected that this
access is required by getSystemId and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:abrt_t:s0
Target Context                system_u:object_r:sysfs_t:s0
Target Objects                smi_request [ file ]
Source                        getSystemId
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.2-2.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov 7 21:11:14
                              EST 2009 x86_64 x86_64
Alert Count                   2
First Seen                    Sat 14 Nov 2009 05:16:22 PM IST
Last Seen                     Sat 14 Nov 2009 05:16:22 PM IST
Local ID                      aaebc116-7244-4a73-8a68-28bfcf4875ba
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258199182.224:20): avc:  denied  { write } for  pid=2438 comm="getSystemId" name="smi_request" dev=sysfs ino=11916 scontext=system_u:system_r:abrt_t:s0 tcontext=system_u:object_r:sysfs_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1258199182.224:20): avc:  denied  { open } for  pid=2438 comm="getSystemId" name="smi_request" dev=sysfs ino=11916 scontext=system_u:system_r:abrt_t:s0 tcontext=system_u:object_r:sysfs_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1258199182.224:20): arch=c000003e syscall=2 success=yes exit=7 a0=7fffadcf96b0 a1=241 a2=1b6 a3=0 items=0 ppid=2437 pid=2438 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="getSystemId" exe="/usr/bin/python" subj=system_u:system_r:abrt_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,getSystemId,abrt_t,sysfs_t,file,write
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t sysfs_t:file { write open };

Comment 1 Daniel Walsh 2009-11-16 15:10:22 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-46.fc12.noarch

Comment 2 Fedora Update System 2009-11-22 20:44:56 UTC
abrt-1.0.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/abrt-1.0.0-1.fc12

Comment 3 Fedora Update System 2009-11-25 15:11:01 UTC
abrt-1.0.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update abrt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12098

Comment 4 Fedora Update System 2009-12-01 04:37:41 UTC
abrt-1.0.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.